com.dlsc.flexgantt.swing.util

## Class AutoscrollSupport

- java.lang.Object
- - com.dlsc.flexgantt.swing.util.AutoscrollSupport

- All Implemented Interfaces:
    Autoscroll

      public class AutoscrollSupport
      extends Object
      implements Autoscroll

  A support class, which enables the autoscroll feature for the tree table and the layer container. These components will automatically scroll when the user performs a drag & drop operation and the mouse cursor reaches any one the edges of the component's visible rectangle.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoscrollSupport(JComponent comp)` Constructs a new autoscroll support object.
    `AutoscrollSupport(JComponent comp, Insets insets)` Constructs a new autoscroll support object.
    `AutoscrollSupport(JComponent comp, Insets insets, Insets scrollUnits)` Constructs a new autoscroll support object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autoscroll(Point cursorLoc)`
    `Insets` | `getAutoscrollInsets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoscrollSupport

          public AutoscrollSupport(JComponent comp)

      Constructs a new autoscroll support object.
      Parameters:
        `comp` - the component for which to activate automatic scrolling during drag and drop operations
      Since:
        1.0

    - #### AutoscrollSupport

          public AutoscrollSupport(JComponent comp,
                                   Insets insets)

      Constructs a new autoscroll support object.
      Parameters:
        `comp` - the component for which to activate automatic scrolling during drag and drop operations
        `insets` - the container insets where autoscrolling should be active
      Since:
        1.0

    - #### AutoscrollSupport

          public AutoscrollSupport(JComponent comp,
                                   Insets insets,
                                   Insets scrollUnits)

      Constructs a new autoscroll support object.
      Parameters:
        `comp` - the component for which to activate automatic scrolling during drag and drop operations
        `insets` - the container insets where autoscrolling should be active
        `scrollUnits` - the number of units to scroll when the mouse cursor causes automatic scrolling
      Since:
        1.0

  - ### Method Detail

    - #### autoscroll

          public void autoscroll(Point cursorLoc)

      Specified by:
        `autoscroll` in interface `Autoscroll`

    - #### getAutoscrollInsets

          public Insets getAutoscrollInsets()

      Specified by:
        `getAutoscrollInsets` in interface `Autoscroll`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.